# freecad-python generated by Parametrix
# run the script with:
# freecad.cmd myScript.py

import FreeCAD as App
import Part

#print(sys.argv)
outFileName = "doorstop"
if (len(sys.argv) == 3):
    outFileName = sys.argv[2]
print(f"outFileName: {outFileName}")

def ctr_face_doorstop_faceProfile_Fa0_Ctr0():
	P000 = App.Vector(2.0000, 0.0000, 0)
	P001 = App.Vector(129.6148, 0.0000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(131.5787, 1.6218, 0)
	P003 = App.Vector(130.3576, 3.8570, 0)
	S001 = Part.Arc(P001, P002, P003)
	P004 = App.Vector(40.3576, 39.8570, 0)
	S002 = Part.LineSegment(P003, P004)
	P005 = App.Vector(39.9931, 39.9639, 0)
	P006 = App.Vector(39.6148, 40.0000, 0)
	S003 = Part.Arc(P004, P005, P006)
	P007 = App.Vector(2.0000, 40.0000, 0)
	S004 = Part.LineSegment(P006, P007)
	P008 = App.Vector(0.5858, 39.4142, 0)
	P009 = App.Vector(0.0000, 38.0000, 0)
	S005 = Part.Arc(P007, P008, P009)
	P010 = App.Vector(0.0000, 2.0000, 0)
	S006 = Part.LineSegment(P009, P010)
	P011 = App.Vector(0.5858, 0.5858, 0)
	P012 = App.Vector(2.0000, 0.0000, 0)
	S007 = Part.Arc(P010, P011, P000)
	aShape = Part.Shape([S000, S001, S002, S003, S004, S005, S006, S007])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def ctr_face_doorstop_faceProfile_Fa0_Ctr1():
	# Radius, XYZ-position, orientation
	aCircle = Part.makeCircle(16.0000, App.Vector(20.0000, 20.0000, 0), App.Vector(0, 0, 1))
	aWire = Part.Wire(aCircle)
	rFace = Part.Face(aWire)
	return rFace

def ctr_face_doorstop_faceProfile_Fa0_Ctr2():
	# Radius, XYZ-position, orientation
	aCircle = Part.makeCircle(12.3198, App.Vector(55.2582, 16.3198, 0), App.Vector(0, 0, 1))
	aWire = Part.Wire(aCircle)
	rFace = Part.Face(aWire)
	return rFace

def ctr_face_doorstop_faceProfile_Fa0_Ctr3():
	# Radius, XYZ-position, orientation
	aCircle = Part.makeCircle(7.4096, App.Vector(80.7549, 11.4096, 0), App.Vector(0, 0, 1))
	aWire = Part.Wire(aCircle)
	rFace = Part.Face(aWire)
	return rFace

def ctr_face_doorstop_faceProfile_Fa0_Ctr4():
	# Radius, XYZ-position, orientation
	aCircle = Part.makeCircle(4.2085, App.Vector(97.3767, 8.2085, 0), App.Vector(0, 0, 1))
	aWire = Part.Wire(aCircle)
	rFace = Part.Face(aWire)
	return rFace

def ctr_face_doorstop_faceProfile_Fa0_Ctr5():
	# Radius, XYZ-position, orientation
	aCircle = Part.makeCircle(2.1216, App.Vector(108.2129, 6.1216, 0), App.Vector(0, 0, 1))
	aWire = Part.Wire(aCircle)
	rFace = Part.Face(aWire)
	return rFace

def face_doorstop_faceProfile_Fa0():
	FC000 = ctr_face_doorstop_faceProfile_Fa0_Ctr0()
	FC001 = ctr_face_doorstop_faceProfile_Fa0_Ctr1()
	FC002 = ctr_face_doorstop_faceProfile_Fa0_Ctr2()
	FC003 = ctr_face_doorstop_faceProfile_Fa0_Ctr3()
	FC004 = ctr_face_doorstop_faceProfile_Fa0_Ctr4()
	FC005 = ctr_face_doorstop_faceProfile_Fa0_Ctr5()
	rOneFace = FC000.cut([FC001, FC002, FC003, FC004, FC005])
	rOneFace.check()
	return rOneFace

def doorstop_faceProfile():
	FA000 = face_doorstop_faceProfile_Fa0()
	rOneFig = FA000
	rOneFig.check()
	return rOneFig

def ctr_face_doorstop_faceTop_Fa0_Ctr0():
	P000 = App.Vector(0.0000, 0.0000, 0)
	P001 = App.Vector(40.0000, 0.0000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(40.0000, 30.0000, 0)
	S001 = Part.LineSegment(P001, P002)
	P003 = App.Vector(0.0000, 30.0000, 0)
	S002 = Part.LineSegment(P002, P003)
	P004 = App.Vector(0.0000, 0.0000, 0)
	S003 = Part.LineSegment(P003, P000)
	aShape = Part.Shape([S000, S001, S002, S003])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def face_doorstop_faceTop_Fa0():
	FC000 = ctr_face_doorstop_faceTop_Fa0_Ctr0()
	rOneFace = FC000
	rOneFace.check()
	return rOneFace

def ctr_face_doorstop_faceTop_Fa1_Ctr0():
	P000 = App.Vector(40.0000, 0.0000, 0)
	P001 = App.Vector(140.0000, 0.0000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(140.0000, 30.0000, 0)
	S001 = Part.LineSegment(P001, P002)
	P003 = App.Vector(40.0000, 30.0000, 0)
	S002 = Part.LineSegment(P002, P003)
	P004 = App.Vector(40.0000, 0.0000, 0)
	S003 = Part.LineSegment(P003, P000)
	aShape = Part.Shape([S000, S001, S002, S003])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def face_doorstop_faceTop_Fa1():
	FC000 = ctr_face_doorstop_faceTop_Fa1_Ctr0()
	rOneFace = FC000
	rOneFace.check()
	return rOneFace

def doorstop_faceTop():
	FA000 = face_doorstop_faceTop_Fa0()
	FA001 = face_doorstop_faceTop_Fa1()
	rOneFig = FA000.fuse([FA001])
	rOneFig.check()
	return rOneFig

def ctr_face_doorstop_faceSide_Fa0_Ctr0():
	P000 = App.Vector(0.0000, 0.0000, 0)
	P001 = App.Vector(30.0000, 0.0000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(30.0000, 40.0000, 0)
	S001 = Part.LineSegment(P001, P002)
	P003 = App.Vector(0.0000, 40.0000, 0)
	S002 = Part.LineSegment(P002, P003)
	P004 = App.Vector(0.0000, 0.0000, 0)
	S003 = Part.LineSegment(P003, P000)
	aShape = Part.Shape([S000, S001, S002, S003])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def face_doorstop_faceSide_Fa0():
	FC000 = ctr_face_doorstop_faceSide_Fa0_Ctr0()
	rOneFace = FC000
	rOneFace.check()
	return rOneFace

def doorstop_faceSide():
	FA000 = face_doorstop_faceSide_Fa0()
	rOneFig = FA000
	rOneFig.check()
	return rOneFig

def fex_subpax_doorstop():
	FIG = doorstop_faceProfile()
	VEX = FIG.extrude(App.Vector(0, 0, 30))
	VR1 = VEX.rotate(App.Vector(0, 0, 0), App.Vector(1, 0, 0), 0.0000)
	VR2 = VR1.rotate(App.Vector(0, 0, 0), App.Vector(0, 1, 0), 0.0000)
	VR3 = VR2.rotate(App.Vector(0, 0, 0), App.Vector(0, 0, 1), 0.0000)
	VFP = VR3.translate(App.Vector(0.0000, 0.0000, 0.0000))
	return VFP
subpax_doorstop = fex_subpax_doorstop()

pax_doorstop = subpax_doorstop

pax_doorstop.check()
#pax_doorstop.exportBrep(f"{outFileName}.brep")
#pax_doorstop.exportIges(f"{outFileName}.igs")
#pax_doorstop.exportStep(f"{outFileName}.stp")
pax_doorstop.exportStl(f"{outFileName}.stl")

